Apache JMeter

## org.apache.jmeter.samplers
Class RemoteListenerWrapper

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.RemoteListenerWrapper

All Implemented Interfaces:
  Serializable, Cloneable, NoThreadClone, SampleListener, TestElement, TestListener

    public class RemoteListenerWrapper

extends AbstractTestElement
implements SampleListener, TestListener, Serializable, NoThreadClone

Lars-Erik Helander provided the idea (and original implementation) for the caching functionality (sampleStore).

Version:
  $Revision: 1064748 $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`RemoteListenerWrapper()`
`RemoteListenerWrapper(RemoteSampleListener l)`

Method Summary
`void` `sampleOccurred(SampleEvent e)` A sample has started and stopped.
`void` `sampleStarted(SampleEvent e)` A sample has started.
`void` `sampleStopped(SampleEvent e)` A sample has stopped.
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteListenerWrapper

    public RemoteListenerWrapper(RemoteSampleListener l)

### RemoteListenerWrapper

    public RemoteListenerWrapper()

Method Detail

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.run()`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.stopTest()`

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started and stopped.

  Specified by:
    `sampleOccurred` in interface `SampleListener`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.